/*  $Id: SLogger.java 1035 2010-06-15 13:08:33Z sdevaux $
 *
 * Tabs = 4 chars
 * copyright (C) 2010 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
package net.eduvax.util;

/**
 * Simple logging service definition.
 * @author Sebastien Devaux
 * @version $Id: SLogger.java 1035 2010-06-15 13:08:33Z sdevaux $
 */
public interface SLogger {
    /**
     * output debug log.
     * @param message logging information.
     */
    public void debug(Object message);
    /**
     * output info log.
     * @param message logging information.
     */
    public void info(Object message);
    /**
     * output warning log.
     * @param message logging information.
     */
    public void warn(Object message);
    /**
     * output error log.
     * @param message logging information.
     */
    public void error(Object message);
    /**
     * output fatal error log.
     * @param message logging information.
     */
    public void fatal(Object message);
}        
